import Amount, { AmountJSON } from './Amount';
export default class Outcome {
    readonly message: string;
    readonly local: Amount;
    readonly remote: Amount;
    constructor(message: string, local: Amount, remote: Amount);
    toJSON(): OutcomeJSON;
    static fromJSON(json: OutcomeJSON): Outcome;
    static reviver(key: string, value: any): any;
}
export interface OutcomeJSON {
    message: string;
    local: AmountJSON;
    remote: AmountJSON;
}
